jQuery(document).ready(function ($) {
    'use strict';

    var $searchField = $('form[role="search"] input, input[type="search"]');
    var keyupTimeout = '';
    var searchTimeout = 300;

    $searchField.on( 'keyup input', function(e) {

        if ( e.keyCode != 40 && e.keyCode != 38 ) {

            var searchFor = $searchField.val();
            searchFor = searchFor.trim();
            searchFor = searchFor.replace( /<>\{\}\[\]\\\/]/gi, '' );
            searchFor = searchFor.replace( /\s\s+/g, ' ' );

            if ( searchFor !== '' ) {

                clearTimeout( keyupTimeout );
                keyupTimeout = setTimeout( function() {

                    var sPage = '/?s=' + encodeURIComponent( 'ajax-search:' + searchFor );
                    if ( typeof ga !== 'undefined' && ga !== null ) {
                        ga( 'send', 'pageview', sPage );
                    }

                }, searchTimeout );

            }

        }
    });

});